Set a platform tag value
const url = 'https://example.com/api/v1/tags/example:setPlatform';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"value":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/tags/example:setPlatform \ --header 'Content-Type: application/json' \ --data '{ "value": "example" }'Binds an install-wide default value for a key at the platform tier. Gated by tag:update (all-scope) and platform:update.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ”The tag key
The tag key
Request Body required
Section titled “Request Body required ”object
A URL to the JSON Schema for this object.
The bound value
Responses
Section titled “ Responses ”OK
object
A URL to the JSON Schema for this object.
The owning entity’s id, the canonical handle; absent for a global owner
Example
{ "$schema": "/api/v1/schemas/TagBindingBody.json"}default
Section titled “default ”Error
object
A URL to the JSON Schema for this object.
A human-readable explanation specific to this occurrence of the problem.
Optional list of individual error details
object
Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’
Error message text
The value at the given location
A URI reference that identifies the specific occurrence of the problem.
HTTP status code
A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
A URI reference to human-readable documentation for the error.
Example
{ "$schema": "/api/v1/schemas/ErrorModel.json", "detail": "Property foo is required but is missing.", "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "about:blank"}